Package org.eclipse.m2m.atl.core

# Interface IReferenceModel

All Superinterfaces:
  `IModel`

All Known Implementing Classes:
  `ASMModelWrapper`, `EMFReferenceModel`

public interface IReferenceModel extends IModel
The IReferenceModel interface defines a reference model, i.e. a metamodel managed by any framework.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getMetaElementByName(String name)`
Returns the metaelement having the given name.

### Methods inherited from interface org.eclipse.m2m.atl.core.IModel

`getElementsByType, getModelFactory, getReferenceModel, isModelOf, isTarget, newElement, setIsTarget`

## Method Details

### getMetaElementByName

Object getMetaElementByName(String name)
Returns the metaelement having the given name.

Parameters:
  `name` - the given name
Returns:
  the metaelement having the given name